Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ColorAlgorithm Class Reference
[Plugins]

`#include <ColorAlgorithm.h>`

Inherits tlp::PropertyAlgorithm.

Inheritance diagram for tlp::ColorAlgorithm:

[legend]
Collaboration diagram for tlp::ColorAlgorithm:

[legend]
List of all members.

## Detailed Description

Interface for color plug-ins.

## Public Member Functions

- virtual ~ColorAlgorithm ()

## Public Attributes

- ColorProperty * colorResult

## Protected Member Functions

- ColorAlgorithm (const PropertyContext &context)

## Friends

- class ColorProperty

## Constructor & Destructor Documentation

virtual tlp::ColorAlgorithm::~ColorAlgorithm | ( |  | ) | `[virtual]`

tlp::ColorAlgorithm::ColorAlgorithm | ( | const PropertyContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class ColorProperty `[friend]`

## Member Data Documentation

ColorProperty* tlp::ColorAlgorithm::colorResult

Tulip Software by LaBRI Visualization Team 2001 - 2010